Bug 12987 - 3com 3c90x driver version incorrect
3com 3c90x driver version incorrect
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Winston rc1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-24 09:35 EDT by Becky Miller
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 11:34:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Becky Miller 2000-06-24 09:35:09 EDT
The 3c90x driver in beta 2 is 1.0.0d, it should be 1.0.0i.
This is the latest drvier availible from 3com and needs to be included in 
the kernel.
Comment 1 Matt Domsch 2000-06-26 14:11:09 EDT
Driver 1.0.0i may be found at:
http://support.3com.com/infodeli/tools/nic/linuxdownload.htm
Comment 2 Matt Domsch 2000-07-21 15:09:10 EDT
Winston beta 4 still contains the 3c90x v1.0.0d driver.
Comment 3 Matt Domsch 2000-07-27 11:48:27 EDT
Pinstripe (aka Winston beta 5) still contains v1.0.0d of this driver.
Comment 4 Alan Cox 2000-08-01 10:44:34 EDT
Glen this one is critical. 1.0.0d hangs machines solidly especially SMP. 1.0.0i
does actually work
Comment 5 Michael K. Johnson 2000-08-01 12:19:26 EDT
OK, I've sucked 1.0.0i into our current srpm.
Comment 6 Glen Foster 2000-08-01 14:09:46 EDT
This defect is considered MUST-FIX for Winston Release-Candidate #1
Comment 7 Michael K. Johnson 2000-08-03 14:45:14 EDT
It is built into our current tree, 2.2.16-18 and higher
should include this version or later...
Comment 8 Matt Domsch 2000-08-11 12:19:29 EDT
Nope, kernel 2.2.16-21 has 3c90x v1.0.0d still...  RC1 has this kernel.  How 
can this be?
Comment 9 Michael K. Johnson 2000-08-16 12:34:26 EDT
Go download it yourself and look in patch-2.2.5 -- it calls itself
1.0.0d...  I can't help that.  Am I missing something?
Comment 10 Michael K. Johnson 2000-08-16 12:39:02 EDT
Never mind, 3com appears to have forgotten to regenerate the 2.2
patch; I recreated it from the source code.  It didn't occur to
me that they would ship two different versions of the driver in
one package.  Sigh...

Fixing now...
Comment 11 Michael K. Johnson 2000-08-16 17:11:03 EDT
The new driver breaks on the Alpha.  Grrrrrrrrr.
Comment 12 Michael K. Johnson 2000-08-16 17:54:58 EDT
That is, *compilation* breaks on alpha -- it's not clear that
the driver has actually ever *worked* on alpha.  :-(  I have
disabled it on alpha now.
Comment 13 Michael K. Johnson 2000-08-17 10:59:25 EDT
Not only that, it doesn't compile on i386 either.
Back to 1.0.0d.  We will not update again for Winston.
Comment 14 Michael K. Johnson 2000-08-17 11:00:46 EDT
When 3com have a working driver, we'll look at an update.
Comment 15 Michael K. Johnson 2000-08-17 11:34:41 EDT
Florian may have found the problem...
Comment 16 Michael K. Johnson 2000-08-17 15:07:05 EDT
Florian did indeed find the problem, and 1.0.0i will be
in 2.2.16-21.2 and later, unless we find horrible bugs
in 1.0.0i...

Note You need to log in before you can comment on or make changes to this bug.